Want more timely Centmin Mod News Updates?
Become a Member

Sysadmin Connection refused after yum update

Discussion in 'System Administration' started by negative, Dec 13, 2016.

  1. negative

    negative Active Member

    414
    49
    28
    Apr 11, 2015
    Ratings:
    +97
    Local Time:
    5:14 PM
    1.9.10
    10.1.11
    [root@server centminmod]# yum list firewalld firewalld-filesystem -q
    Code (Text):
    Kurulan Paketler
    firewalld.noarch                                                                  0.4.3.2-8.1.el7_3                                                       @updates
    firewalld-filesystem.noarch                                                       0.4.3.2-8.1.el7_3                                                       @updates
    

    [root@server centminmod]# yum history info firewalld firewalld-filesystem -q
    Code (Text):
    Transaction ID : 61
    Başlama zamanı     : Sat Jan 21 01:02:06 2017
    
    -edit

     
    Last edited: Jan 21, 2017
  2. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,313
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,995
    Local Time:
    1:14 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    looks like it goes back to yum transaction id = 1
    Code (Text):
    Transaction ID : 1
    Başlama zamanı     : Fri Sep  9 21:32:02 2016
    

    So firewalld was installed on your system via os default image. Centmin Mod doesn't install firewalld by default but if it detects it, it will stop/disable firewalld without removal. So probably what happened for you.

    some packages depend on firewalld and blind removal might remove those packages accidentally too

    and what firewalld depends on
    Code (Text):
    repoquery --requires --resolve firewalld    
    iptables-services-0:1.4.21-17.el7.x86_64
    iptables-0:1.4.21-17.el7.x86_64
    bash-0:4.2.46-20.el7_2.x86_64
    python-0:2.7.5-48.el7.x86_64
    ebtables-0:2.0.10-15.el7.x86_64
    ipset-0:6.19-6.el7.x86_64
    systemd-0:219-30.el7.x86_64
    python-firewall-0:0.4.3.2-8.1.el7_3.noarch
    firewalld-filesystem-0:0.4.3.2-8.1.el7_3.noarch

    Code (Text):
    yum deplist firewalld -q
    package: firewalld.noarch 0.4.3.2-8.1.el7_3
      dependency: /bin/bash
       provider: bash.x86_64 4.2.46-21.el7_3
      dependency: /bin/sh
       provider: bash.x86_64 4.2.46-21.el7_3
      dependency: /usr/bin/python
       provider: python.x86_64 2.7.5-48.el7
      dependency: ebtables
       provider: ebtables.x86_64 2.0.10-15.el7
      dependency: firewalld-filesystem = 0.4.3.2-8.1.el7_3
       provider: firewalld-filesystem.noarch 0.4.3.2-8.1.el7_3
      dependency: ipset
       provider: ipset.x86_64 6.19-6.el7
      dependency: iptables
       provider: iptables-services.x86_64 1.4.21-17.el7
       provider: iptables.x86_64 1.4.21-17.el7
      dependency: python-firewall = 0.4.3.2-8.1.el7_3
       provider: python-firewall.noarch 0.4.3.2-8.1.el7_3
      dependency: systemd
       provider: systemd.x86_64 219-30.el7_3.6


    So should be fine to leave as is
     
  3. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,313
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,995
    Local Time:
    1:14 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    looks like good to just remove them if you want
    Code (Text):
    yum remove firewalld firewalld-filesystem
    Loaded plugins: fastestmirror, priorities
    Resolving Dependencies
    --> Running transaction check
    ---> Package firewalld.noarch 0:0.4.3.2-8.1.el7_3 will be erased
    ---> Package firewalld-filesystem.noarch 0:0.4.3.2-8.1.el7_3 will be erased
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==========================================================================================================================================================================================================================================================
     Package                                                             Arch                                                  Version                                                          Repository                                               Size
    ==========================================================================================================================================================================================================================================================
    Removing:
     firewalld                                                           noarch                                                0.4.3.2-8.1.el7_3                                                @updates                                                1.7 M
     firewalld-filesystem                                                noarch                                                0.4.3.2-8.1.el7_3                                                @updates                                                239 
    
    Transaction Summary
    ==========================================================================================================================================================================================================================================================
    Remove  2 Packages
    
    Installed size: 1.7 M
    Is this ok [y/N]: y
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Erasing    : firewalld-0.4.3.2-8.1.el7_3.noarch                                                                                                                                                                                                     1/2 
      Erasing    : firewalld-filesystem-0.4.3.2-8.1.el7_3.noarch                                                                                                                                                                                          2/2 
      Verifying  : firewalld-0.4.3.2-8.1.el7_3.noarch                                                                                                                                                                                                     1/2 
      Verifying  : firewalld-filesystem-0.4.3.2-8.1.el7_3.noarch                                                                                                                                                                                          2/2 
    
    Removed:
      firewalld.noarch 0:0.4.3.2-8.1.el7_3                                                                                   firewalld-filesystem.noarch 0:0.4.3.2-8.1.el7_3                                                                                  
    
    Complete!
    
     
  4. negative

    negative Active Member

    414
    49
    28
    Apr 11, 2015
    Ratings:
    +97
    Local Time:
    5:14 PM
    1.9.10
    10.1.11
    So, should i run FIRST only that command now? before yum update
    Code (Text):
    yum remove firewalld firewalld-filesystem


    What about some packages depend on firewalld ?

    Thanks
     
  5. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,313
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,995
    Local Time:
    1:14 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    only need to do yum remove once for that and no extra packages seem to be removed so that's good
     
  6. khine

    khine New Member

    3
    0
    1
    Sep 19, 2019
    Ratings:
    +0
    Local Time:
    12:14 AM
    Hi,
    I did yum update command and server updated, installed in centos 7.
    When I browse, I got 192.168.11.24 refused to connect error. I saw that firewalld is active, then I remove firewalld as well and I also try to undo using yum history undo transactionID but this not success also.Can someone help me?
     
  7. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,313
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,995
    Local Time:
    1:14 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Are you using Centmin Mod LEMP stack ? this forum is for Centmin Mod LEMP stack support. I ask as Centmin Mod doesn't use firewalld but CSF Firewall so usually firewalld isn't active.
     
  8. khine

    khine New Member

    3
    0
    1
    Sep 19, 2019
    Ratings:
    +0
    Local Time:
    12:14 AM
    humm,No Centmin Mod LEMP stack.sorry. actually i am CentOS Linux release 7.4.1708 (Core) and I did installation of phpMyAdmin and i did
    sudo yum install -y epel-release
    sudo yum –y update
    after that i cannot browse the server.
     
  9. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,313
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,995
    Local Time:
    1:14 AM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Unfortunately wouldn't be able to help you as Centmin Mod doesn't use firewalld. Might want to ask on CentOS 7 official forums CentOS - CentOS 7